Name:           ocaml-ocamlgraph
Version:        1.8.2
Release:        %mkrel 3
Summary:        OCaml library for arc and node graphs

Group:          Development/OCaml
License:        LGPLv2 with exceptions

URL:            http://ocamlgraph.lri.fr/
Source0:        http://ocamlgraph.lri.fr/download/ocamlgraph-%{version}.tar.gz
Source1:        ocamlgraph-test.result

# Fix the install-findlib rule, and install some extras.
Patch0:         ocamlgraph-1.8.1-install-extras.patch

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-doc
BuildRequires:  ocaml-lablgtk2-devel
BuildRequires:  gtk2-devel 
BuildRequires:  libgnomecanvas2-devel

%description
Ocamlgraph provides several different implementations of graph data
structures. It also provides implementations for a number of classical
graph algorithms like Kruskal's algorithm for MSTs, topological
ordering of DAGs, Dijkstra's shortest paths algorithm, and
Ford-Fulkerson's maximal-flow algorithm to name a few. The algorithms
and data structures are written functorially for maximal
reusability. Also has input and output capability for Graph Modeling
Language file format and Dot and Neato graphviz (graph visualization)
tools.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{EVRD}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n ocamlgraph-%{version}
%patch0 -p1
cp %{SOURCE1} .

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}

make depend
make all OCAMLBEST=opt OCAMLOPT=ocamlopt.opt
make doc

%check
make --no-print-directory check >& test
diff test ocamlgraph-test.result

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/ocaml
make OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml install-findlib

mv doc/ api-doc

%files
%doc README LICENSE COPYING CREDITS CHANGES FAQ
%{_libdir}/ocaml/ocamlgraph/
%exclude %{_libdir}/ocaml/*/*.a
%exclude %{_libdir}/ocaml/*/*.cmxa
%exclude %{_libdir}/ocaml/*/*.cmx
%exclude %{_libdir}/ocaml/*/*.mli

%files devel
%doc api-doc/
%doc tests/
%doc examples/
%{_libdir}/ocaml/*/*.a
%{_libdir}/ocaml/*/*.cmxa
%{_libdir}/ocaml/*/*.cmx
%{_libdir}/ocaml/*/*.mli


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.8.2-3.mga3
+ Revision: 361509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 1.8.2-2.mga3
+ Revision: 326526
- rebuild for new ocaml

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.8.2-1.mga3
+ Revision: 302170
- rebuild last version 1.8.2
- updated to last version 1.8.2

* Tue Oct 02 2012 blue_prawn <blue_prawn> 1.8.1-2.mga3
+ Revision: 302164
- rebuild for new ocaml 4.00
- new rpm group for ocaml
- allow successive builds with rpmbuild

* Thu Nov 17 2011 malo <malo> 1.8.1-1.mga2
+ Revision: 168392
- missing BuildRequires libgnomecanvas2-devel
- new version 1.8.1
- rediff installation patch

* Sun Oct 02 2011 fwang <fwang> 1.7-2.mga2
+ Revision: 150926
- rebuild for new ocaml

* Fri Apr 08 2011 ennael <ennael> 1.7-1.mga1
+ Revision: 82453
- fix release
- ibuild requires switched to gtk2
- clean spec file
- imported package ocaml-ocamlgraph

